genesel-class {CMA} | R Documentation

## "genesel"

### Description

Object returned from a call to `GeneSelection`

### Slots

`rankings`:
  A list of matrices. For the two-class case and the multi-class case where a genuine multi-class method has been used for variable selection, the length of the list is one. Otherwise, it is named according to the different binary scenarios (e.g. `1 vs 3`). Each list element is a `matrix` with rows corresponding to iterations (different `learningsets`) and columns to variables. Each row thus contains an index vector representing the order of the variables with respect to their variable importance (s. slot `importance`)
`importance`:
  A list of matrices, with the same structure as described for the slot `rankings`. Each row of these matrices are ordered according to `rankings` and contain the variable importance measure (absolute value of test statistic or regression coefficient).
`method`:
  Name of the method used for variable selection, s. `GeneSelection`.
`scheme`:
  The scheme used in the case of a non-binary response, one of `"pairwise"`, `"one-vs-all"` or `"multiclass"`
.

### Methods

show
  Use `show(genesel-object)` for brief information
toplist
  Use `toplist(genesel-object, k=10, iter = 1)` to display the top first 10 variables and their variable importance for the first iteration (first learningset), s.`toplist`.
plot
  Use `plot(genesel-object, k=10, iter=1)` to display a barplot of the variable importance of the top first 10 variables, s. `plot,genesel-method`

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`GeneSelection`

[Package CMA version 1.2.0 Index]